@echo off

if "%1"=="_chk_" shift

rem --- Konfiguracja ocen.bat ---
rem W przypadku opracowania wlasnego zestawu testow nalezy zmienic
rem zawartosc zmiennej TESTS a testy skopiowac do kataloguw IN\, OUT\
rem nazwy testow powinny analogiczne do przykladowych

if "%1"=="ban" goto ban
if "%1"=="BAN" goto ban

if "%1"=="pun" goto pun
if "%1"=="PUN" goto pun

if "%1"=="sam" goto sam
if "%1"=="SAM" goto sam

if "%1"=="ska" goto ska
if "%1"=="SKA" goto ska

if "%1"=="sko" goto sko
if "%1"=="SKO" goto sko

set T=%1
goto end

rem Zadanie "Bankomat"
:ban
set I=ban
set T=0 1 2 3 4 5
set C=bin\cmp.exe
goto end

rem Zadanie "Punkty"
:pun
set I=pun
set T=0 1 2 3 4
set C=bin\cmp.exe
goto end

rem Zadanie "Samochodziki"
:sam
set I=sam
set T=0 1 2 3 4 5
set C=bin\cmp.exe
goto end

rem Zadanie "Skarbonki"
:ska
set I=ska
set T=0 1 2 3 4
set C=bin\cmp.exe
goto end

rem Zadanie "Skoczki"
:sko
set I=sko
set T=0 1 2 3 4
set C=bin\cmp.exe
goto end

rem --- Koniec konfiguracji

:end

if "%C%"=="" goto def_chk
goto new_chk
:def_chk
set C=bin\cmp.exe
:new_chk

:real_end